Subject: Re: bug#43610: IceCat segfault

From: Ludovic Courtès <[email-masked]>
Date: Tue, 15 Dec 2020 12:24:21 +0100

Hi Alex,

Alex ter Weele <[email-masked]> skribis:

> All I had to delete was the line
>
> user_pref("network.captive-portal-service.enabled", true);
>
> from ~/.mozilla/icecat/$my-profile/prefs.js.

Good to know.  Who could have guessed?

> Methodology: I put my whole profile into a git repo, then deleted it file
> by file with
>
> for i in * ; do
> rm $i
> git commit -am "Remove $i"
> done
>
> then I used git bisect to find which file(s) had to be deleted before
> icecat wouldn't segfault.

Heh, smart!

Thanks for sharing your findings,
Ludo’.